| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommandEventHelper Class Reference
[Event handling]

Helper class to conveniently deal with command events. More...

`#include <csutil/event.h>`

List of all members.

## Static Public Member Functions
static uint | GetCode (const iEvent *event)
| Retrieve command code.
static bool | GetEventData (const iEvent *event, csCommandEventData &data)
| Retrieve event data.
static intptr_t | GetInfo (const iEvent *event)
| Retrieve command info.
static csEvent * | NewEvent (csTicks, csEventID name, bool Broadcast, intptr_t info=0)
| Create a new "command" event.

## Detailed Description

Helper class to conveniently deal with command events.

Note that "command" is a vestigial event type; this class will probably go away before long.

Definition at line 224 of file event.h.

## Member Function Documentation

static uint csCommandEventHelper::GetCode | ( | const iEvent * | event | ) | `[static]`

Retrieve command code.

static bool csCommandEventHelper::GetEventData | ( | const iEvent * | event,
|  | csCommandEventData & | data |
| ) |  |  | `[static]`

Retrieve event data.

static intptr_t csCommandEventHelper::GetInfo | ( | const iEvent * | event | ) | `[static]`

Retrieve command info.

static csEvent* csCommandEventHelper::NewEvent | ( | csTicks | ,
|  | csEventID | name,
|  | bool | Broadcast,
|  | intptr_t | info = `0` |
| ) |  |  | `[static]`

Create a new "command" event.

The documentation for this class was generated from the following file:

- csutil/event.h